Subject: Re: sex and the senate

From: [email-masked] (Seanna Watson)
Date: Wed, 16 Sep 1992 13:07:49 GMT

I would like to know why a woman necessarily represents me better than
a man does, simply by sharing gender.  I think that this assumption 
perpetuates the idea that there are "women's issues" and "issues".  If
men and women are really that different, maybe we should have separate
parallel governments with different political systems & laws.  If not,
maybe we can work together to make "women's issues" everybody's concern,
and just have "issues".  

-- 
Seanna Watson   Bell-Northern Research, 
([email-masked]) Ottawa, Ontario, Canada

Opinions, what opinions?  Oh *these* opinions. | It's hard to seize the
No, they're not BNR's, they're mine.           | day when you must first
I knew I'd left them somewhere.                | grapple with the morning.